//Sudoku - Fernando Mndez Torrubiano
#ifndef H_LISTAJUGADORES_H
#define H_LISTAJUGADORES_H
#pragma once

#include <iostream>
#include <string>
#include <fstream>
#include <iomanip>
#include "RegistroJugador.h"

//Constantes:
//const int MAX_JGD = 9;

//Tipos:
typedef struct tListaJugadores {
	tRegJugador** jugadores; //El primer asterisco indica que el array es dinmico, el segundo indica que cada campo del array son punteros a datos.
	int capacidad;
	int contador;
};


//Funciones:
void iniciar(tListaJugadores& lista); //Inicializalistaalistavaca.
bool cargar(tListaJugadores& lista); //Guardaenlistaelcontenido delarchivolistaJugadores.txt;devuelveunbooleanoqueindicasilacargasehapodidorealizar.
void mostrar(const tListaJugadores& lista); //Visualizaenlaconsola lalistadejugadoresdada.
bool guardar(const tListaJugadores& lista); //Almacenaenelarchivo registroJugadores.txtelcontenidodelistaydevuelveunvalorbooleano indicandosilaaccinfueposible.Deberespetarelformatoindicadoparael archivo.
bool buscar(const tListaJugadores& lista, const tRegJugador& jugador, int& pos); //Busca en lista al jugador; devuelve true y la posicin(pos) en la que se encuentra si el jugador est en la lista; devuelve false y la posicin(pos) en la que debera estar si el jugador no est en la lista. Debes implementar una bsqueda binaria utilizando el operador < del mdulo RegistroJugador.
bool actualizar(tListaJugadores& lista, const tRegJugador& jugador); //Sieljugadorseencuentrayaenlalista, actualizasuinformacinconlos nuevos puntos; en otro caso, si la lista noestllena, lo insertaordenadamenteenlalista.
void mostrarXRanking(const tListaJugadores& lista); //Muestralos jugadoresde la lista dada ordenados por ranking(decrecientementepor puntos, yaigualdaddepuntoscrecientementeporidentificador).
void ampliar(tListaJugadores& lista, int num); //Ampla el tamao del array dinmico de lista a num elemento ms.Los datos de los jugadores que ya existen en la lista deben mantenerse.
void liberar(tListaJugadores& lista); //Libera la memoria dinmica usada por lista.

#endif
